InputIterator.InputIteratorWrapper (Lucene 10.5.1 suggest API)
Description: declaration: package: org.apache.lucene.search.suggest, interface: InputIterator, class: InputIteratorWrapper

Package org.apache.lucene.search.suggest

# Class InputIterator.InputIteratorWrapper

java.lang.Object
org.apache.lucene.search.suggest.InputIterator.InputIteratorWrapper

All Implemented Interfaces:
  `InputIterator`, `BytesRefIterator`

Enclosing interface:
  `InputIterator`

public static class InputIterator.InputIteratorWrapper extends Object implements InputIterator
Wraps a BytesRefIterator as a suggester InputIterator, with all weights set to `1` and carries no payload

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.lucene.search.suggest.InputIterator

  `InputIterator.InputIteratorWrapper`

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.search.suggest.InputIterator

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputIteratorWrapper(BytesRefIterator wrapped)`
  Creates a new wrapper, wrapping the specified iterator and specifying a weight value of `1` for all terms and nullifies associated payloads.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<BytesRef>`
  `contexts()`
  A term's contexts context can be used to filter suggestions.
  `boolean`
  `hasContexts()`
  Returns true if the iterator has contexts
  `boolean`
  `hasPayloads()`
  Returns true if the iterator has payloads
  `BytesRef`
  `next()`
  `BytesRef`
  `payload()`
  An arbitrary byte[] to record per suggestion.
  `long`
  `weight()`
  A term's weight, higher numbers mean better suggestions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InputIteratorWrapper

    public InputIteratorWrapper(BytesRefIterator wrapped)
    Creates a new wrapper, wrapping the specified iterator and specifying a weight value of `1` for all terms and nullifies associated payloads.

- ## Method Details

  - ### weight

    public long weight()
    Description copied from interface: `InputIterator`
    A term's weight, higher numbers mean better suggestions.
    Specified by:
      `weight` in interface `InputIterator`

  - ### next

    public BytesRef next() throws IOException
    Specified by:
      `next` in interface `BytesRefIterator`
    Throws:
      `IOException`

  - ### payload

    public BytesRef payload()
    Description copied from interface: `InputIterator`
    An arbitrary byte[] to record per suggestion. See `Lookup.LookupResult.payload` to retrieve the payload for each suggestion.
    Specified by:
      `payload` in interface `InputIterator`

  - ### hasPayloads

    public boolean hasPayloads()
    Description copied from interface: `InputIterator`
    Returns true if the iterator has payloads
    Specified by:
      `hasPayloads` in interface `InputIterator`

  - ### contexts

    public Set<BytesRef> contexts()
    Description copied from interface: `InputIterator`
    A term's contexts context can be used to filter suggestions. May return null, if suggest entries do not have any context
    Specified by:
      `contexts` in interface `InputIterator`

  - ### hasContexts

    public boolean hasContexts()
    Description copied from interface: `InputIterator`
    Returns true if the iterator has contexts
    Specified by:
      `hasContexts` in interface `InputIterator`